> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create seller payout adjustment

> Create a credit or debit adjustment for a seller. The adjustment is created in pending status and may be picked up by the next payout batch.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /orders/payouts/invoices/adjustments
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/payouts/invoices/adjustments:
    parameters: []
    post:
      tags:
        - Payouts
      summary: Create seller payout adjustment
      description: >-
        Create a credit or debit adjustment for a seller. The adjustment is
        created in pending status and may be picked up by the next payout batch.
      operationId: create-seller-payout-adjustment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SellerPayoutAdjustmentCreate'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      payout_adjustment:
                        $ref: '#/components/schemas/SellerPayoutAdjustment'
                    type: object
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    SellerPayoutAdjustmentCreate:
      title: SellerPayoutAdjustmentCreate
      type: object
      required:
        - adjustment_type
        - amount
        - seller_id
        - tax_amount
      properties:
        adjustment_type:
          type: string
          enum:
            - credit
            - debit
        amount:
          description: Must be greater than 0.
          type: number
        reference_field:
          type: string
        reference_id:
          type: string
        reference_type:
          type: string
        seller_id:
          description: Seller ID must exist in the marketplace seller cache.
          type: string
        tax_amount:
          type: number
      x-tags:
        - Payouts
    SellerPayoutAdjustment:
      title: SellerPayoutAdjustment
      type: object
      properties:
        adjustment_type:
          type: string
          enum:
            - credit
            - debit
        amount:
          type: number
        created_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        payout_batch_id:
          description: >-
            Linked payout batch ULID when the adjustment has been applied to a
            batch.
          type:
            - string
            - 'null'
        reference_field:
          type: string
        reference_id:
          type: string
        reference_type:
          type: string
        seller_id:
          type: string
        seller_name:
          type: string
          readOnly: true
        status:
          type: string
          enum:
            - pending
            - applied
            - cancelled
        tax_amount:
          type: number
      x-tags:
        - Payouts
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              success:
                type: boolean
              code:
                type: string
              error:
                type: object
                properties:
                  fieldname:
                    type: array
                    items:
                      type: string
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not authorized for given operation on the Resource.
              success:
                type: boolean
                default: false
              code:
                type: string
                example: unauthorized
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````